Summary:	Driver for the LaCrosse WS-2300 weather station
Name:		ws2300
Version:	1.5
Release:	1ras
Distribution:	RedHat 7.2 Contrib
Group:		Applications/System
License:	EPL
Packager:	Russell Stuart <russell-rpm@stuart.id.au>
Vendor:		Russell Stuart <russell-ws2300@stuart.id.au>
Url:		http://www.stuart.id.au/russell/files/%{name}/%{name}-%{version}.tar.gz
Source:		%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-root
Requires:	python

%description
Ws2300 manipulates the LaCrosse WS-2300 weather station via its
RS232 interface.  It can read and write values, and can
continuously aggregate and log data from WS-2300 to a file or
SQL database.

%prep
%setup

%build
make

%install
set -xv
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/lib/python2.6/site-packages/
PYTHONPATH=%{buildroot}/usr/lib/python2.6/site-packages/ make DESTDIR=%{buildroot} install 
mkdir -p %{buildroot}/%{_initrddir}
cp ws2300.init %{buildroot}/%{_initrddir}/ws2300
mkdir -p %{buildroot}/%{_sysconfdir}/sysconfig
cp ws2300.default %{buildroot}/%{_sysconfdir}/sysconfig/ws2300
rm %{buildroot}/usr/lib/python2.6/site-packages/*.{py*,pth}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/ws2300
/usr/lib/python2.6/site-packages/ws2300-1.4-py2.6.egg
%{_initrddir}/ws2300
%{_sysconfdir}/sysconfig
%doc ChangeLog.txt epl-v10.html README.txt
%doc %{_mandir}/man1/*

%changelog
* Wed Feb 01 2008 Russell Stuart <russell-rpm@stuart.id.au>
- Initial RPM
